using System;

class Program
{
    static void Main(string[] args)
    {
        string[] s = Console.ReadLine().Split();
        int n = int.Parse(s[0]);
        int l = int.Parse(s[1]);
        int[] niz = new int[n];
        string[] visine = Console.ReadLine().Split();
        int resenje = -1;
        for (int i = 0; i < n; i++)
        {
            niz[i] = int.Parse(visine[i]);
            if (niz[i] <= l)
            {
                resenje = i + 1; break;
            }
        }
        Console.WriteLine(resenje);
    }
}